On Friday August 14th. from 9 p.m. to 9:30 p.m., we will upgrade GitLab software and its cloud platform release. Service may not be available during this maintenance window. Please schedule your work accordingly.

Commit 1e977f37 authored by Marcello Golfieri's avatar Marcello Golfieri

Converted to python3 compat code

parent 44dd1c98
extra/
__pycache__/
venv/
*.pyc
*.class
extra/
*env/
*env2/
config/*
nbproject/
.vscode/
.DS_Store
.cache
*.key
*.ini
*.pem
; Note, it should be possible to omit any of these entries.
;
[info]
; hostname = qualysguard.domain.com
; username = xyz
; password = password
;
; # Set the maximum number of retries each connection should attempt. Note, this applies only to failed connections and timeouts, never to requests where the server returns a response.
; max_retries = 10
;
; [proxy]
; ; This section is optional. Leave it out if you're not using a proxy.
; ; You can use environmental variables as well: http://www.python-requests.org/en/latest/user/advanced/#proxies
;
; ; proxy_protocol set to https, if not specified.
; proxy_url = proxy.mycorp.com
;
; ; proxy_port will override any port specified in proxy_url
; proxy_port = 8080
;
; ; proxy authentication
; proxy_username = kramer
; proxy_password = giddy up!
This diff is collapsed.
appdirs==1.4.3
attrs==19.1.0
black==19.3b0
certifi==2019.3.9
chardet==3.0.4
Click==7.0
configparser==3.7.4
future-fstrings==1.1.0
idna==2.8
lxml==4.3.4
PyYAML==5.1.1
qualysapi==5.1.0
requests==2.22.0
six==1.12.0
toml==0.10.0
urllib3==1.25.3
#!/usr/bin/env bash
WORKDIR="$( cd "$(dirname "$0")" ; pwd -P )"
PROJECT=qqualys
cd $WORKDIR
PACKAGES='git pcregrep procps'
[[ -n "`which sudo`" ]] && SUDO=sudo || SUDO=''
if [ -n "`which apt-get`" ]; then
$SUDO apt-get -y install ${PACKAGES}
elif [ -n "`which yum`" ]; then
$SUDO yum -y install ${PACKAGES}
elif [[ "$OSTYPE" == "darwin"* ]]; then
PACKAGES='git pcregrep'
brew install ${PACKAGES}
else
echo not a debian or rh based distro, boo
exit 1
fi
pip install virtualenv
VENV=$(which virtualenv)
if [ ! -f "$VENV" ]; then
echo "virtualenv command not found, please install: pip install virtualenv"
exit 1
fi
# For the main suparenting.py
$VENV -p python3 venv
source venv/bin/activate
pip3.7 install --upgrade pip
pip3.7 install -r requirements.txt
deactivate
echo Installation done, \"./suparenting -h\" for usage
\ No newline at end of file
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment